package su.a71.new_soviet.registration;

import net.fabricmc.fabric.api.itemgroup.v1.FabricItemGroup;
import net.fabricmc.fabric.api.object.builder.v1.block.FabricBlockSettings;
import net.fabricmc.fabric.api.registry.FlammableBlockRegistry;
import net.minecraft.block.*;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.text.Text;
import net.minecraft.util.DyeColor;
import net.minecraft.util.Identifier;
import su.a71.new_soviet.blocks.ConcreteWithBarsBlock;
import su.a71.new_soviet.blocks.HandrailBlock;

public class NSE_Blocks extends NSE_BaseRegistration {

    // BUILDING BRICKS/TILES ====================
    // TODO: TOOLS FOR SLABS AND STAIRS !!!!
    public static final Block SAND_TILES = new Block(FabricBlockSettings.create().sounds(NSE_Sounds.SAND_TILES_SOUNDS).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.TERRACOTTA_BROWN));
    public static final StairsBlock SAND_TILES_STAIRS = new StairsBlock(SAND_TILES.getDefaultState(), FabricBlockSettings.copy(SAND_TILES));
    public static final SlabBlock SAND_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(SAND_TILES));
    public static final Block CRACKED_SAND_TILES = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock CRACKED_SAND_TILES_STAIRS = new StairsBlock(CRACKED_SAND_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_SAND_TILES));
    public static final SlabBlock CRACKED_SAND_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_SAND_TILES));
    public static final Block MOSSY_SAND_TILES = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock MOSSY_SAND_TILES_STAIRS = new StairsBlock(MOSSY_SAND_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_SAND_TILES));
    public static final SlabBlock MOSSY_SAND_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_SAND_TILES));
    public static final Block SMALL_SAND_TILES = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final Block SMALL_CRACKED_SAND_TILES = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final Block HERRINGBONE_SAND_TILES = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock HERRINGBONE_SAND_TILES_STAIRS = new StairsBlock(HERRINGBONE_SAND_TILES.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_SAND_TILES));
    public static final SlabBlock HERRINGBONE_SAND_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_SAND_TILES));
    public static final Block CROSS_SAND_TILES = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock CROSS_SAND_TILES_STAIRS = new StairsBlock(CROSS_SAND_TILES.getDefaultState(), FabricBlockSettings.copy(CROSS_SAND_TILES));
    public static final SlabBlock CROSS_SAND_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_SAND_TILES));
    public static final Block BIG_SAND_TILES = new Block(FabricBlockSettings.copy(SAND_TILES).sounds(BlockSoundGroup.DECORATED_POT));
    public static final Block SAND_BRICKS = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock SAND_BRICKS_STAIRS = new StairsBlock(SAND_BRICKS.getDefaultState(), FabricBlockSettings.copy(SAND_BRICKS));
    public static final SlabBlock SAND_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(SAND_BRICKS));
    public static final Block CRACKED_SAND_BRICKS = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock CRACKED_SAND_BRICKS_STAIRS = new StairsBlock(CRACKED_SAND_BRICKS.getDefaultState(), FabricBlockSettings.copy(CRACKED_SAND_BRICKS));
    public static final SlabBlock CRACKED_SAND_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_SAND_BRICKS));
    public static final Block MOSSY_SAND_BRICKS = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock MOSSY_SAND_BRICKS_STAIRS = new StairsBlock(MOSSY_SAND_BRICKS.getDefaultState(), FabricBlockSettings.copy(MOSSY_SAND_BRICKS));
    public static final SlabBlock MOSSY_SAND_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_SAND_BRICKS));
    public static final Block BIG_SAND_BRICKS = new Block(FabricBlockSettings.copy(SAND_TILES));
    public static final StairsBlock BIG_SAND_BRICKS_STAIRS = new StairsBlock(BIG_SAND_BRICKS.getDefaultState(), FabricBlockSettings.copy(BIG_SAND_BRICKS));
    public static final SlabBlock BIG_SAND_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(BIG_SAND_BRICKS));

    public static final Block BRICK_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.TERRACOTTA_BROWN));
    public static final StairsBlock BRICK_TILES_STAIRS = new StairsBlock(BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(BRICK_TILES));
    public static final SlabBlock BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(BRICK_TILES));
    public static final Block CRACKED_BRICK_TILES = new Block(FabricBlockSettings.copy(BRICK_TILES));
    public static final StairsBlock CRACKED_BRICK_TILES_STAIRS = new StairsBlock(CRACKED_BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_BRICK_TILES));
    public static final SlabBlock CRACKED_BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_BRICK_TILES));
    public static final Block MOSSY_BRICK_TILES = new Block(FabricBlockSettings.copy(BRICK_TILES));
    public static final StairsBlock MOSSY_BRICK_TILES_STAIRS = new StairsBlock(MOSSY_BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_BRICK_TILES));
    public static final SlabBlock MOSSY_BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_BRICK_TILES));
    public static final Block DIRTY_BRICK_TILES = new Block(FabricBlockSettings.copy(BRICK_TILES));
    public static final StairsBlock DIRTY_BRICK_TILES_STAIRS = new StairsBlock(DIRTY_BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(DIRTY_BRICK_TILES));
    public static final SlabBlock DIRTY_BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(DIRTY_BRICK_TILES));

    public static final Block DARK_BRICK_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.DARK_RED));
    public static final StairsBlock DARK_BRICK_TILES_STAIRS = new StairsBlock(DARK_BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(DARK_BRICK_TILES));
    public static final SlabBlock DARK_BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(DARK_BRICK_TILES));
    public static final Block CRACKED_DARK_BRICK_TILES = new Block(FabricBlockSettings.copy(DARK_BRICK_TILES));
    public static final StairsBlock CRACKED_DARK_BRICK_TILES_STAIRS = new StairsBlock(CRACKED_DARK_BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_DARK_BRICK_TILES));
    public static final SlabBlock CRACKED_DARK_BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_DARK_BRICK_TILES));
    public static final Block MOSSY_DARK_BRICK_TILES = new Block(FabricBlockSettings.copy(DARK_BRICK_TILES));
    public static final StairsBlock MOSSY_DARK_BRICK_TILES_STAIRS = new StairsBlock(MOSSY_DARK_BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_DARK_BRICK_TILES));
    public static final SlabBlock MOSSY_DARK_BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_DARK_BRICK_TILES));
    public static final Block DIRTY_DARK_BRICK_TILES = new Block(FabricBlockSettings.copy(DARK_BRICK_TILES));
    public static final StairsBlock DIRTY_DARK_BRICK_TILES_STAIRS = new StairsBlock(DIRTY_DARK_BRICK_TILES.getDefaultState(), FabricBlockSettings.copy(DIRTY_DARK_BRICK_TILES));
    public static final SlabBlock DIRTY_DARK_BRICK_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(DIRTY_DARK_BRICK_TILES));
    public static final Block GLAZED_BRICK_TILES = new Block(FabricBlockSettings.copy(BRICK_TILES));
    public static final Block CRACKED_GLAZED_BRICK_TILES = new Block(FabricBlockSettings.copy(BRICK_TILES));

    public static final Block RED_BRICKS = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.DEEPSLATE_BRICKS).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.RED));
    public static final StairsBlock RED_BRICKS_STAIRS = new StairsBlock(RED_BRICKS.getDefaultState(), FabricBlockSettings.copy(RED_BRICKS));
    public static final SlabBlock RED_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(RED_BRICKS));
    public static final Block CRACKED_RED_BRICKS = new Block(FabricBlockSettings.copy(RED_BRICKS));
    public static final StairsBlock CRACKED_RED_BRICKS_STAIRS = new StairsBlock(CRACKED_RED_BRICKS.getDefaultState(), FabricBlockSettings.copy(CRACKED_RED_BRICKS));
    public static final SlabBlock CRACKED_RED_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_RED_BRICKS));
    public static final Block MOSSY_RED_BRICKS = new Block(FabricBlockSettings.copy(RED_BRICKS));
    public static final StairsBlock MOSSY_RED_BRICKS_STAIRS = new StairsBlock(MOSSY_RED_BRICKS.getDefaultState(), FabricBlockSettings.copy(MOSSY_RED_BRICKS));
    public static final SlabBlock MOSSY_RED_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_RED_BRICKS));

    public static final Block TEAL_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.TEAL));
    public static final StairsBlock TEAL_TILES_STAIRS = new StairsBlock(TEAL_TILES.getDefaultState(), FabricBlockSettings.copy(TEAL_TILES));
    public static final SlabBlock TEAL_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(TEAL_TILES));
    public static final Block CRACKED_TEAL_TILES = new Block(FabricBlockSettings.copy(TEAL_TILES));
    public static final StairsBlock CRACKED_TEAL_TILES_STAIRS = new StairsBlock(CRACKED_TEAL_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_TEAL_TILES));
    public static final SlabBlock CRACKED_TEAL_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_TEAL_TILES));
    public static final Block MOSSY_TEAL_TILES = new Block(FabricBlockSettings.copy(TEAL_TILES));
    public static final StairsBlock MOSSY_TEAL_TILES_STAIRS = new StairsBlock(MOSSY_TEAL_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_TEAL_TILES));
    public static final SlabBlock MOSSY_TEAL_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_TEAL_TILES));
    public static final Block SMALL_TEAL_TILES = new Block(FabricBlockSettings.copy(TEAL_TILES));
    public static final Block SMALL_CRACKED_TEAL_TILES = new Block(FabricBlockSettings.copy(TEAL_TILES));
    public static final Block GLAZED_TEAL_TILES = new Block(FabricBlockSettings.copy(TEAL_TILES));
    public static final Block CRACKED_GLAZED_TEAL_TILES = new Block(FabricBlockSettings.copy(TEAL_TILES));
    public static final Block VARIATED_TEAL_TILES = new Block(FabricBlockSettings.copy(TEAL_TILES));
    public static final StairsBlock VARIATED_TEAL_TILES_STAIRS = new StairsBlock(VARIATED_TEAL_TILES.getDefaultState(), FabricBlockSettings.copy(VARIATED_TEAL_TILES));
    public static final SlabBlock VARIATED_TEAL_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(VARIATED_TEAL_TILES));

    public static final Block BIG_GREEN_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.DECORATED_POT).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.TEAL));
    public static final Block BIG_GREEN_TILES_CRACKED = new Block(FabricBlockSettings.copy(BIG_GREEN_TILES));
    public static final Block GREEN_BRICKS = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.NETHER_BRICKS).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.DARK_GREEN));
    public static final StairsBlock GREEN_BRICKS_STAIRS = new StairsBlock(GREEN_BRICKS.getDefaultState(), FabricBlockSettings.copy(GREEN_BRICKS));
    public static final SlabBlock GREEN_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(GREEN_BRICKS));
    public static final Block CRACKED_GREEN_BRICKS = new Block(FabricBlockSettings.copy(GREEN_BRICKS));
    public static final StairsBlock CRACKED_GREEN_BRICKS_STAIRS = new StairsBlock(CRACKED_GREEN_BRICKS.getDefaultState(), FabricBlockSettings.copy(CRACKED_GREEN_BRICKS));
    public static final SlabBlock CRACKED_GREEN_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_GREEN_BRICKS));
    public static final Block MOSSY_GREEN_BRICKS = new Block(FabricBlockSettings.copy(GREEN_BRICKS));
    public static final StairsBlock MOSSY_GREEN_BRICKS_STAIRS = new StairsBlock(MOSSY_GREEN_BRICKS.getDefaultState(), FabricBlockSettings.copy(MOSSY_GREEN_BRICKS));
    public static final SlabBlock MOSSY_GREEN_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_GREEN_BRICKS));
    public static final Block GREEN_BRICKS_2 = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.NETHER_BRICKS).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.DARK_GREEN));
    public static final StairsBlock GREEN_BRICKS_2_STAIRS = new StairsBlock(GREEN_BRICKS_2.getDefaultState(), FabricBlockSettings.copy(GREEN_BRICKS_2));
    public static final SlabBlock GREEN_BRICKS_2_SLAB = new SlabBlock(FabricBlockSettings.copy(GREEN_BRICKS_2));
    public static final Block CRACKED_GREEN_BRICKS_2 = new Block(FabricBlockSettings.copy(GREEN_BRICKS_2));
    public static final StairsBlock CRACKED_GREEN_BRICKS_2_STAIRS = new StairsBlock(CRACKED_GREEN_BRICKS_2.getDefaultState(), FabricBlockSettings.copy(CRACKED_GREEN_BRICKS_2));
    public static final SlabBlock CRACKED_GREEN_BRICKS_2_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_GREEN_BRICKS_2));
    public static final Block MOSSY_GREEN_BRICKS_2 = new Block(FabricBlockSettings.copy(GREEN_BRICKS_2));
    public static final StairsBlock MOSSY_GREEN_BRICKS_2_STAIRS = new StairsBlock(MOSSY_GREEN_BRICKS_2.getDefaultState(), FabricBlockSettings.copy(MOSSY_GREEN_BRICKS_2));
    public static final SlabBlock MOSSY_GREEN_BRICKS_2_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_GREEN_BRICKS_2));

    public static final Block AQUAMARINE_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.DARK_AQUA));
    public static final StairsBlock AQUAMARINE_TILES_STAIRS = new StairsBlock(AQUAMARINE_TILES.getDefaultState(), FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final SlabBlock AQUAMARINE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final Block CRACKED_AQUAMARINE_TILES = new Block(FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final StairsBlock CRACKED_AQUAMARINE_TILES_STAIRS = new StairsBlock(CRACKED_AQUAMARINE_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_AQUAMARINE_TILES));
    public static final SlabBlock CRACKED_AQUAMARINE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_AQUAMARINE_TILES));
    public static final Block MOSSY_AQUAMARINE_TILES = new Block(FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final StairsBlock MOSSY_AQUAMARINE_TILES_STAIRS = new StairsBlock(MOSSY_AQUAMARINE_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_AQUAMARINE_TILES));
    public static final SlabBlock MOSSY_AQUAMARINE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_AQUAMARINE_TILES));
    public static final Block DIRTY_AQUAMARINE_TILES = new Block(FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final StairsBlock DIRTY_AQUAMARINE_TILES_STAIRS = new StairsBlock(DIRTY_AQUAMARINE_TILES.getDefaultState(), FabricBlockSettings.copy(DIRTY_AQUAMARINE_TILES));
    public static final SlabBlock DIRTY_AQUAMARINE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(DIRTY_AQUAMARINE_TILES));
    public static final Block SMALL_AQUAMARINE_TILES = new Block(FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final Block SMALL_CRACKED_AQUAMARINE_TILES = new Block(FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final Block GLAZED_AQUAMARINE_TILES = new Block(FabricBlockSettings.copy(AQUAMARINE_TILES));
    public static final Block CRACKED_GLAZED_AQUAMARINE_TILES = new Block(FabricBlockSettings.copy(AQUAMARINE_TILES));

    public static final Block SMALL_DIORITE_TILES = new Block(FabricBlockSettings.copy(Blocks.POLISHED_DIORITE));
    public static final Block SMALL_CRACKED_DIORITE_TILES = new Block(FabricBlockSettings.copy(Blocks.POLISHED_DIORITE));
    public static final Block BIG_DIORITE_TILES = new Block(FabricBlockSettings.copy(Blocks.POLISHED_DIORITE));
    public static final Block DIORITE_BRICKS = new Block(FabricBlockSettings.copy(Blocks.POLISHED_DIORITE));
    public static final StairsBlock DIORITE_BRICKS_STAIRS = new StairsBlock(DIORITE_BRICKS.getDefaultState(), FabricBlockSettings.copy(DIORITE_BRICKS));
    public static final SlabBlock DIORITE_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(DIORITE_BRICKS));
    public static final Block CRACKED_DIORITE_BRICKS = new Block(FabricBlockSettings.copy(Blocks.POLISHED_DIORITE));
    public static final StairsBlock CRACKED_DIORITE_BRICKS_STAIRS = new StairsBlock(CRACKED_DIORITE_BRICKS.getDefaultState(), FabricBlockSettings.copy(CRACKED_DIORITE_BRICKS));
    public static final SlabBlock CRACKED_DIORITE_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_DIORITE_BRICKS));
    public static final Block MOSSY_DIORITE_BRICKS = new Block(FabricBlockSettings.copy(Blocks.POLISHED_DIORITE));
    public static final StairsBlock MOSSY_DIORITE_BRICKS_STAIRS = new StairsBlock(MOSSY_DIORITE_BRICKS.getDefaultState(), FabricBlockSettings.copy(MOSSY_DIORITE_BRICKS));
    public static final SlabBlock MOSSY_DIORITE_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_DIORITE_BRICKS));

    public static final Block CALCITE_TILES = new Block(FabricBlockSettings.copy(Blocks.CALCITE));
    public static final StairsBlock CALCITE_TILES_STAIRS = new StairsBlock(CALCITE_TILES.getDefaultState(), FabricBlockSettings.copy(CALCITE_TILES));
    public static final SlabBlock CALCITE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CALCITE_TILES));
    public static final Block CRACKED_CALCITE_TILES = new Block(FabricBlockSettings.copy(Blocks.CALCITE));
    public static final StairsBlock CRACKED_CALCITE_TILES_STAIRS = new StairsBlock(CRACKED_CALCITE_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_CALCITE_TILES));
    public static final SlabBlock CRACKED_CALCITE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_CALCITE_TILES));
    public static final Block MOSSY_CALCITE_TILES = new Block(FabricBlockSettings.copy(Blocks.CALCITE));
    public static final StairsBlock MOSSY_CALCITE_TILES_STAIRS = new StairsBlock(MOSSY_CALCITE_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_CALCITE_TILES));
    public static final SlabBlock MOSSY_CALCITE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_CALCITE_TILES));
    public static final Block DIAGONAL_CALCITE_TILES = new Block(FabricBlockSettings.copy(Blocks.CALCITE));

    public static final Block NII_WALL_1 = new Block(FabricBlockSettings.copy(Blocks.DIORITE));
    public static final Block CRACKED_NII_WALL_1 = new Block(FabricBlockSettings.copy(NSE_Blocks.NII_WALL_1));
    public static final Block NII_WALL_2 = new Block(FabricBlockSettings.copy(NSE_Blocks.NII_WALL_1).mapColor(DyeColor.LIGHT_GRAY));
    public static final Block NII_WALL_3 = new Block(FabricBlockSettings.copy(NSE_Blocks.NII_WALL_1).mapColor(DyeColor.GRAY));

    public static final Block DRIPSTONE_TILES = new Block(FabricBlockSettings.copy(Blocks.DRIPSTONE_BLOCK));
    public static final StairsBlock DRIPSTONE_TILES_STAIRS = new StairsBlock(DRIPSTONE_TILES.getDefaultState(), FabricBlockSettings.copy(DRIPSTONE_TILES));
    public static final SlabBlock DRIPSTONE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(DRIPSTONE_TILES));
    public static final Block CRACKED_DRIPSTONE_TILES = new Block(FabricBlockSettings.copy(Blocks.DRIPSTONE_BLOCK));
    public static final StairsBlock CRACKED_DRIPSTONE_TILES_STAIRS = new StairsBlock(CRACKED_DRIPSTONE_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_DRIPSTONE_TILES));
    public static final SlabBlock CRACKED_DRIPSTONE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_DRIPSTONE_TILES));
    public static final Block MOSSY_DRIPSTONE_TILES = new Block(FabricBlockSettings.copy(Blocks.DRIPSTONE_BLOCK));
    public static final StairsBlock MOSSY_DRIPSTONE_TILES_STAIRS = new StairsBlock(MOSSY_DRIPSTONE_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_DRIPSTONE_TILES));
    public static final SlabBlock MOSSY_DRIPSTONE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_DRIPSTONE_TILES));
    public static final Block DRIPSTONE_BRICKS = new Block(FabricBlockSettings.copy(Blocks.DRIPSTONE_BLOCK));

    public static final Block DEEPSLATE_TILES = new Block(FabricBlockSettings.copy(Blocks.DEEPSLATE_TILES));
    public static final StairsBlock DEEPSLATE_TILES_STAIRS = new StairsBlock(DEEPSLATE_TILES.getDefaultState(), FabricBlockSettings.copy(DEEPSLATE_TILES));
    public static final SlabBlock DEEPSLATE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(DEEPSLATE_TILES));
    public static final Block CRACKED_DEEPSLATE_TILES = new Block(FabricBlockSettings.copy(Blocks.DEEPSLATE_TILES));
    public static final StairsBlock CRACKED_DEEPSLATE_TILES_STAIRS = new StairsBlock(CRACKED_DEEPSLATE_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_DEEPSLATE_TILES));
    public static final SlabBlock CRACKED_DEEPSLATE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_DEEPSLATE_TILES));
    public static final Block MOSSY_DEEPSLATE_TILES = new Block(FabricBlockSettings.copy(Blocks.DEEPSLATE_TILES));
    public static final StairsBlock MOSSY_DEEPSLATE_TILES_STAIRS = new StairsBlock(MOSSY_DEEPSLATE_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_DEEPSLATE_TILES));
    public static final SlabBlock MOSSY_DEEPSLATE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_DEEPSLATE_TILES));
    public static final Block SMALL_DEEPSLATE_TILES = new Block(FabricBlockSettings.copy(Blocks.DEEPSLATE_TILES));
    public static final Block SMALL_CRACKED_DEEPSLATE_TILES = new Block(FabricBlockSettings.copy(Blocks.DEEPSLATE_TILES));
    public static final Block DIAGONAL_DEEPSLATE_TILES = new Block(FabricBlockSettings.copy(Blocks.DEEPSLATE_TILES));

    public static final Block LIGHT_BLUE_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).strength(1.5f, 6f).requiresTool().mapColor(MapColor.LIGHT_BLUE));
    public static final StairsBlock LIGHT_BLUE_TILES_STAIRS = new StairsBlock(LIGHT_BLUE_TILES.getDefaultState(), FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final SlabBlock LIGHT_BLUE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final Block CRACKED_LIGHT_BLUE_TILES = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final StairsBlock CRACKED_LIGHT_BLUE_TILES_STAIRS = new StairsBlock(CRACKED_LIGHT_BLUE_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_LIGHT_BLUE_TILES));
    public static final SlabBlock CRACKED_LIGHT_BLUE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_LIGHT_BLUE_TILES));
    public static final Block MOSSY_LIGHT_BLUE_TILES = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final StairsBlock MOSSY_LIGHT_BLUE_TILES_STAIRS = new StairsBlock(MOSSY_LIGHT_BLUE_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_LIGHT_BLUE_TILES));
    public static final SlabBlock MOSSY_LIGHT_BLUE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_LIGHT_BLUE_TILES));
    public static final Block VARIATED_LIGHT_BLUE_TILES = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final StairsBlock VARIATED_LIGHT_BLUE_TILES_STAIRS = new StairsBlock(VARIATED_LIGHT_BLUE_TILES.getDefaultState(), FabricBlockSettings.copy(VARIATED_LIGHT_BLUE_TILES));
    public static final SlabBlock VARIATED_LIGHT_BLUE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(VARIATED_LIGHT_BLUE_TILES));
    public static final Block SMALL_LIGHT_BLUE_TILES = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final Block SMALL_CRACKED_LIGHT_BLUE_TILES = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final Block GLAZED_LIGHT_BLUE_TILES = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final Block CRACKED_GLAZED_LIGHT_BLUE_TILES = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final Block LIGHT_BLUE_BRICKS = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final StairsBlock LIGHT_BLUE_BRICKS_STAIRS = new StairsBlock(LIGHT_BLUE_BRICKS.getDefaultState(), FabricBlockSettings.copy(LIGHT_BLUE_BRICKS));
    public static final SlabBlock LIGHT_BLUE_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(LIGHT_BLUE_BRICKS));
    public static final Block CRACKED_LIGHT_BLUE_BRICKS = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final StairsBlock CRACKED_LIGHT_BLUE_BRICKS_STAIRS = new StairsBlock(CRACKED_LIGHT_BLUE_BRICKS.getDefaultState(), FabricBlockSettings.copy(CRACKED_LIGHT_BLUE_BRICKS));
    public static final SlabBlock CRACKED_LIGHT_BLUE_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_LIGHT_BLUE_BRICKS));
    public static final Block MOSSY_LIGHT_BLUE_BRICKS = new Block(FabricBlockSettings.copy(LIGHT_BLUE_TILES));
    public static final StairsBlock MOSSY_LIGHT_BLUE_BRICKS_STAIRS = new StairsBlock(MOSSY_LIGHT_BLUE_BRICKS.getDefaultState(), FabricBlockSettings.copy(MOSSY_LIGHT_BLUE_BRICKS));
    public static final SlabBlock MOSSY_LIGHT_BLUE_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_LIGHT_BLUE_BRICKS));

    public static final Block BIG_GRANITE_TILES = new Block(FabricBlockSettings.copy(Blocks.POLISHED_GRANITE));
    public static final Block SMALL_GRANITE_TILES = new Block(FabricBlockSettings.copy(Blocks.POLISHED_GRANITE));
    public static final Block SMALL_CRACKED_GRANITE_TILES = new Block(FabricBlockSettings.copy(Blocks.POLISHED_GRANITE));

    public static final Block GREEN_WHITE_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).hardness(1.5f).requiresTool().resistance(6f).mapColor(MapColor.OFF_WHITE));
    public static final StairsBlock GREEN_WHITE_TILES_STAIRS = new StairsBlock(GREEN_WHITE_TILES.getDefaultState(), FabricBlockSettings.copy(GREEN_WHITE_TILES));
    public static final SlabBlock GREEN_WHITE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(GREEN_WHITE_TILES));
    public static final Block CRACKED_GREEN_WHITE_TILES = new Block(FabricBlockSettings.copy(GREEN_WHITE_TILES));
    public static final StairsBlock CRACKED_GREEN_WHITE_TILES_STAIRS = new StairsBlock(CRACKED_GREEN_WHITE_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_GREEN_WHITE_TILES));
    public static final SlabBlock CRACKED_GREEN_WHITE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_GREEN_WHITE_TILES));
    public static final Block MOSSY_GREEN_WHITE_TILES = new Block(FabricBlockSettings.copy(GREEN_WHITE_TILES));
    public static final StairsBlock MOSSY_GREEN_WHITE_TILES_STAIRS = new StairsBlock(MOSSY_GREEN_WHITE_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_GREEN_WHITE_TILES));
    public static final SlabBlock MOSSY_GREEN_WHITE_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_GREEN_WHITE_TILES));

    public static final Block TUFF_TILES = new Block(FabricBlockSettings.copy(Blocks.TUFF));
    public static final StairsBlock TUFF_TILES_STAIRS = new StairsBlock(TUFF_TILES.getDefaultState(), FabricBlockSettings.copy(TUFF_TILES));
    public static final SlabBlock TUFF_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(TUFF_TILES));
    public static final Block CRACKED_TUFF_TILES = new Block(FabricBlockSettings.copy(Blocks.TUFF));
    public static final StairsBlock CRACKED_TUFF_TILES_STAIRS = new StairsBlock(CRACKED_TUFF_TILES.getDefaultState(), FabricBlockSettings.copy(CRACKED_TUFF_TILES));
    public static final SlabBlock CRACKED_TUFF_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_TUFF_TILES));
    public static final Block MOSSY_TUFF_TILES = new Block(FabricBlockSettings.copy(Blocks.TUFF));
    public static final StairsBlock MOSSY_TUFF_TILES_STAIRS = new StairsBlock(MOSSY_TUFF_TILES.getDefaultState(), FabricBlockSettings.copy(MOSSY_TUFF_TILES));
    public static final SlabBlock MOSSY_TUFF_TILES_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_TUFF_TILES));
    public static final Block BIG_TUFF_TILES = new Block(FabricBlockSettings.copy(Blocks.TUFF));
    public static final Block TUFF_BRICKS = new Block(FabricBlockSettings.copy(Blocks.TUFF));
    public static final StairsBlock TUFF_BRICKS_STAIRS = new StairsBlock(TUFF_BRICKS.getDefaultState(), FabricBlockSettings.copy(TUFF_BRICKS));
    public static final SlabBlock TUFF_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(TUFF_BRICKS));
    public static final Block CRACKED_TUFF_BRICKS = new Block(FabricBlockSettings.copy(Blocks.TUFF));
    public static final StairsBlock CRACKED_TUFF_BRICKS_STAIRS = new StairsBlock(CRACKED_TUFF_BRICKS.getDefaultState(), FabricBlockSettings.copy(CRACKED_TUFF_BRICKS));
    public static final SlabBlock CRACKED_TUFF_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_TUFF_BRICKS));
    public static final Block MOSSY_TUFF_BRICKS = new Block(FabricBlockSettings.copy(Blocks.TUFF));
    public static final StairsBlock MOSSY_TUFF_BRICKS_STAIRS = new StairsBlock(MOSSY_TUFF_BRICKS.getDefaultState(), FabricBlockSettings.copy(MOSSY_TUFF_BRICKS));
    public static final SlabBlock MOSSY_TUFF_BRICKS_SLAB = new SlabBlock(FabricBlockSettings.copy(MOSSY_TUFF_BRICKS));

    public static final Block SMALL_WHITE_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).strength(1.5f, 6f).requiresTool().mapColor(MapColor.WHITE));
    public static final Block SMALL_CRACKED_WHITE_TILES = new Block(FabricBlockSettings.copy(SMALL_WHITE_TILES));
    public static final Block GLAZED_WHITE_TILES = new Block(FabricBlockSettings.copy(SMALL_WHITE_TILES));
    public static final Block CRACKED_GLAZED_WHITE_TILES = new Block(FabricBlockSettings.copy(SMALL_WHITE_TILES));

    public static final Block SMALL_YELLOW_TILES = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).strength(1.5f, 6f).requiresTool().mapColor(MapColor.YELLOW));
    public static final Block SMALL_CRACKED_YELLOW_TILES = new Block(FabricBlockSettings.copy(SMALL_YELLOW_TILES));

    public static final Block WHITEWASH = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).strength(1.5f, 6f).requiresTool().mapColor(MapColor.OFF_WHITE));
    public static final Block CRACKED_WHITEWASH = new Block(FabricBlockSettings.copy(WHITEWASH));
    public static final Block VERY_CRACKED_WHITEWASH = new Block(FabricBlockSettings.copy(WHITEWASH));

    public static final Block WHITE_CONCRETE = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).strength(1.5f, 6f).requiresTool().mapColor(MapColor.OFF_WHITE));
    public static final StairsBlock WHITE_CONCRETE_STAIRS = new StairsBlock(WHITE_CONCRETE.getDefaultState(), FabricBlockSettings.copy(WHITE_CONCRETE));
    public static final SlabBlock WHITE_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(WHITE_CONCRETE));
    public static final Block CRACKED_WHITE_CONCRETE = new Block(FabricBlockSettings.copy(WHITE_CONCRETE));
    public static final StairsBlock CRACKED_WHITE_CONCRETE_STAIRS = new StairsBlock(CRACKED_WHITE_CONCRETE.getDefaultState(), FabricBlockSettings.copy(CRACKED_WHITE_CONCRETE));
    public static final SlabBlock CRACKED_WHITE_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_WHITE_CONCRETE));
    public static final ConcreteWithBarsBlock WHITE_CONCRETE_WITH_BARS = new ConcreteWithBarsBlock(FabricBlockSettings.copy(WHITE_CONCRETE));
    public static final Block BEIGE_CONCRETE = new Block(FabricBlockSettings.copy(WHITE_CONCRETE).mapColor(MapColor.OAK_TAN));
    public static final StairsBlock BEIGE_CONCRETE_STAIRS = new StairsBlock(BEIGE_CONCRETE.getDefaultState(), FabricBlockSettings.copy(BEIGE_CONCRETE));
    public static final SlabBlock BEIGE_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(BEIGE_CONCRETE));
    public static final Block CRACKED_BEIGE_CONCRETE = new Block(FabricBlockSettings.copy(BEIGE_CONCRETE));
    public static final StairsBlock CRACKED_BEIGE_CONCRETE_STAIRS = new StairsBlock(CRACKED_BEIGE_CONCRETE.getDefaultState(), FabricBlockSettings.copy(CRACKED_BEIGE_CONCRETE));
    public static final SlabBlock CRACKED_BEIGE_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_BEIGE_CONCRETE));
    public static final ConcreteWithBarsBlock BEIGE_CONCRETE_WITH_BARS = new ConcreteWithBarsBlock(FabricBlockSettings.copy(BEIGE_CONCRETE));
    public static final Block BLUE_CONCRETE = new Block(FabricBlockSettings.copy(WHITE_CONCRETE).mapColor(MapColor.TERRACOTTA_BLUE));
    public static final StairsBlock BLUE_CONCRETE_STAIRS = new StairsBlock(BLUE_CONCRETE.getDefaultState(), FabricBlockSettings.copy(BLUE_CONCRETE));
    public static final SlabBlock BLUE_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(BLUE_CONCRETE));
    public static final Block CRACKED_BLUE_CONCRETE = new Block(FabricBlockSettings.copy(BLUE_CONCRETE));
    public static final StairsBlock CRACKED_BLUE_CONCRETE_STAIRS = new StairsBlock(CRACKED_BLUE_CONCRETE.getDefaultState(), FabricBlockSettings.copy(CRACKED_BLUE_CONCRETE));
    public static final SlabBlock CRACKED_BLUE_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_BLUE_CONCRETE));
    public static final ConcreteWithBarsBlock BLUE_CONCRETE_WITH_BARS = new ConcreteWithBarsBlock(FabricBlockSettings.copy(BLUE_CONCRETE));
    public static final Block RED_CONCRETE = new Block(FabricBlockSettings.copy(WHITE_CONCRETE).mapColor(MapColor.TERRACOTTA_RED));
    public static final StairsBlock RED_CONCRETE_STAIRS = new StairsBlock(RED_CONCRETE.getDefaultState(), FabricBlockSettings.copy(RED_CONCRETE));
    public static final SlabBlock RED_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(RED_CONCRETE));
    public static final Block CRACKED_RED_CONCRETE = new Block(FabricBlockSettings.copy(RED_CONCRETE));
    public static final StairsBlock CRACKED_RED_CONCRETE_STAIRS = new StairsBlock(CRACKED_RED_CONCRETE.getDefaultState(), FabricBlockSettings.copy(CRACKED_RED_CONCRETE));
    public static final SlabBlock CRACKED_RED_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_RED_CONCRETE));
    public static final ConcreteWithBarsBlock RED_CONCRETE_WITH_BARS = new ConcreteWithBarsBlock(FabricBlockSettings.copy(RED_CONCRETE));
    public static final Block YELLOW_CONCRETE = new Block(FabricBlockSettings.copy(WHITE_CONCRETE).mapColor(MapColor.TERRACOTTA_YELLOW));
    public static final StairsBlock YELLOW_CONCRETE_STAIRS = new StairsBlock(YELLOW_CONCRETE.getDefaultState(), FabricBlockSettings.copy(YELLOW_CONCRETE));
    public static final SlabBlock YELLOW_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(YELLOW_CONCRETE));
    public static final Block CRACKED_YELLOW_CONCRETE = new Block(FabricBlockSettings.copy(YELLOW_CONCRETE));
    public static final StairsBlock CRACKED_YELLOW_CONCRETE_STAIRS = new StairsBlock(CRACKED_YELLOW_CONCRETE.getDefaultState(), FabricBlockSettings.copy(CRACKED_YELLOW_CONCRETE));
    public static final SlabBlock CRACKED_YELLOW_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_YELLOW_CONCRETE));
    public static final ConcreteWithBarsBlock YELLOW_CONCRETE_WITH_BARS = new ConcreteWithBarsBlock(FabricBlockSettings.copy(YELLOW_CONCRETE));
    public static final Block GREEN_CONCRETE = new Block(FabricBlockSettings.copy(WHITE_CONCRETE).mapColor(MapColor.TERRACOTTA_GREEN));
    public static final StairsBlock GREEN_CONCRETE_STAIRS = new StairsBlock(GREEN_CONCRETE.getDefaultState(), FabricBlockSettings.copy(GREEN_CONCRETE));
    public static final SlabBlock GREEN_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(GREEN_CONCRETE));
    public static final Block CRACKED_GREEN_CONCRETE = new Block(FabricBlockSettings.copy(GREEN_CONCRETE));
    public static final StairsBlock CRACKED_GREEN_CONCRETE_STAIRS = new StairsBlock(CRACKED_GREEN_CONCRETE.getDefaultState(), FabricBlockSettings.copy(CRACKED_GREEN_CONCRETE));
    public static final SlabBlock CRACKED_GREEN_CONCRETE_SLAB = new SlabBlock(FabricBlockSettings.copy(CRACKED_GREEN_CONCRETE));
    public static final ConcreteWithBarsBlock GREEN_CONCRETE_WITH_BARS = new ConcreteWithBarsBlock(FabricBlockSettings.copy(GREEN_CONCRETE));

    // WOOD/FLOOR ==========
    public static final Block HERRINGBONE_ACACIA_PLANKS = new Block(FabricBlockSettings.copy(Blocks.ACACIA_PLANKS));
    public static final StairsBlock HERRINGBONE_ACACIA_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_ACACIA_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_ACACIA_PLANKS));
    public static final SlabBlock HERRINGBONE_ACACIA_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_ACACIA_PLANKS));
    public static final Block CROSS_ACACIA_PLANKS = new Block(FabricBlockSettings.copy(Blocks.ACACIA_PLANKS));
    public static final StairsBlock CROSS_ACACIA_PLANKS_STAIRS = new StairsBlock(CROSS_ACACIA_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_ACACIA_PLANKS));
    public static final SlabBlock CROSS_ACACIA_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_ACACIA_PLANKS));
    public static final Block HERRINGBONE_OAK_PLANKS = new Block(FabricBlockSettings.copy(Blocks.OAK_PLANKS));
    public static final StairsBlock HERRINGBONE_OAK_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_OAK_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_OAK_PLANKS));
    public static final SlabBlock HERRINGBONE_OAK_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_OAK_PLANKS));
    public static final Block CROSS_OAK_PLANKS = new Block(FabricBlockSettings.copy(Blocks.OAK_PLANKS));
    public static final StairsBlock CROSS_OAK_PLANKS_STAIRS = new StairsBlock(CROSS_OAK_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_OAK_PLANKS));
    public static final SlabBlock CROSS_OAK_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_OAK_PLANKS));
    public static final Block HERRINGBONE_BIRCH_PLANKS = new Block(FabricBlockSettings.copy(Blocks.BIRCH_PLANKS));
    public static final StairsBlock HERRINGBONE_BIRCH_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_BIRCH_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_BIRCH_PLANKS));
    public static final SlabBlock HERRINGBONE_BIRCH_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_BIRCH_PLANKS));
    public static final Block CROSS_BIRCH_PLANKS = new Block(FabricBlockSettings.copy(Blocks.BIRCH_PLANKS));
    public static final StairsBlock CROSS_BIRCH_PLANKS_STAIRS = new StairsBlock(CROSS_BIRCH_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_BIRCH_PLANKS));
    public static final SlabBlock CROSS_BIRCH_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_BIRCH_PLANKS));
    public static final Block HERRINGBONE_CRIMSON_PLANKS = new Block(FabricBlockSettings.copy(Blocks.CRIMSON_PLANKS));
    public static final StairsBlock HERRINGBONE_CRIMSON_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_CRIMSON_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_CRIMSON_PLANKS));
    public static final SlabBlock HERRINGBONE_CRIMSON_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_CRIMSON_PLANKS));
    public static final Block CROSS_CRIMSON_PLANKS = new Block(FabricBlockSettings.copy(Blocks.CRIMSON_PLANKS));
    public static final StairsBlock CROSS_CRIMSON_PLANKS_STAIRS = new StairsBlock(CROSS_CRIMSON_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_CRIMSON_PLANKS));
    public static final SlabBlock CROSS_CRIMSON_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_CRIMSON_PLANKS));
    public static final Block HERRINGBONE_DARK_OAK_PLANKS = new Block(FabricBlockSettings.copy(Blocks.DARK_OAK_PLANKS));
    public static final StairsBlock HERRINGBONE_DARK_OAK_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_DARK_OAK_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_DARK_OAK_PLANKS));
    public static final SlabBlock HERRINGBONE_DARK_OAK_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_DARK_OAK_PLANKS));
    public static final Block CROSS_DARK_OAK_PLANKS = new Block(FabricBlockSettings.copy(Blocks.DARK_OAK_PLANKS));
    public static final StairsBlock CROSS_DARK_OAK_PLANKS_STAIRS = new StairsBlock(CROSS_DARK_OAK_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_DARK_OAK_PLANKS));
    public static final SlabBlock CROSS_DARK_OAK_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_DARK_OAK_PLANKS));
    public static final Block HERRINGBONE_JUNGLE_PLANKS = new Block(FabricBlockSettings.copy(Blocks.JUNGLE_PLANKS));
    public static final StairsBlock HERRINGBONE_JUNGLE_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_JUNGLE_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_JUNGLE_PLANKS));
    public static final SlabBlock HERRINGBONE_JUNGLE_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_JUNGLE_PLANKS));
    public static final Block CROSS_JUNGLE_PLANKS = new Block(FabricBlockSettings.copy(Blocks.JUNGLE_PLANKS));
    public static final StairsBlock CROSS_JUNGLE_PLANKS_STAIRS = new StairsBlock(CROSS_JUNGLE_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_JUNGLE_PLANKS));
    public static final SlabBlock CROSS_JUNGLE_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_JUNGLE_PLANKS));
    public static final Block HERRINGBONE_MANGROVE_PLANKS = new Block(FabricBlockSettings.copy(Blocks.MANGROVE_PLANKS));
    public static final StairsBlock HERRINGBONE_MANGROVE_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_MANGROVE_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_MANGROVE_PLANKS));
    public static final SlabBlock HERRINGBONE_MANGROVE_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_MANGROVE_PLANKS));
    public static final Block CROSS_MANGROVE_PLANKS = new Block(FabricBlockSettings.copy(Blocks.MANGROVE_PLANKS));
    public static final StairsBlock CROSS_MANGROVE_PLANKS_STAIRS = new StairsBlock(CROSS_MANGROVE_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_MANGROVE_PLANKS));
    public static final SlabBlock CROSS_MANGROVE_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_MANGROVE_PLANKS));
    public static final Block HERRINGBONE_SPRUCE_PLANKS = new Block(FabricBlockSettings.copy(Blocks.SPRUCE_PLANKS));
    public static final StairsBlock HERRINGBONE_SPRUCE_PLANKS_STAIRS = new StairsBlock(HERRINGBONE_SPRUCE_PLANKS.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_SPRUCE_PLANKS));
    public static final SlabBlock HERRINGBONE_SPRUCE_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_SPRUCE_PLANKS));
    public static final Block CROSS_SPRUCE_PLANKS = new Block(FabricBlockSettings.copy(Blocks.SPRUCE_PLANKS));
    public static final StairsBlock CROSS_SPRUCE_PLANKS_STAIRS = new StairsBlock(CROSS_SPRUCE_PLANKS.getDefaultState(), FabricBlockSettings.copy(CROSS_SPRUCE_PLANKS));
    public static final SlabBlock CROSS_SPRUCE_PLANKS_SLAB = new SlabBlock(FabricBlockSettings.copy(CROSS_SPRUCE_PLANKS));

    public static final Block HERRINGBONE_PARQUET = new Block(FabricBlockSettings.create().sounds(NSE_Sounds.PARQUET_SOUNDS).strength(2f, 3f).mapColor(MapColor.OAK_TAN));
    public static final StairsBlock HERRINGBONE_PARQUET_STAIRS = new StairsBlock(HERRINGBONE_PARQUET.getDefaultState(), FabricBlockSettings.copy(HERRINGBONE_PARQUET));
    public static final SlabBlock HERRINGBONE_PARQUET_SLAB = new SlabBlock(FabricBlockSettings.copy(HERRINGBONE_PARQUET));
    public static final Block STRAIGHT_PARQUET = new Block(FabricBlockSettings.copy(HERRINGBONE_PARQUET));
    public static final StairsBlock STRAIGHT_PARQUET_STAIRS = new StairsBlock(STRAIGHT_PARQUET.getDefaultState(), FabricBlockSettings.copy(STRAIGHT_PARQUET));
    public static final SlabBlock STRAIGHT_PARQUET_SLAB = new SlabBlock(FabricBlockSettings.copy(STRAIGHT_PARQUET));
    public static final Block SEPARATED_PARQUET = new Block(FabricBlockSettings.copy(HERRINGBONE_PARQUET));
    public static final StairsBlock SEPARATED_PARQUET_STAIRS = new StairsBlock(SEPARATED_PARQUET.getDefaultState(), FabricBlockSettings.copy(SEPARATED_PARQUET));
    public static final SlabBlock SEPARATED_PARQUET_SLAB = new SlabBlock(FabricBlockSettings.copy(SEPARATED_PARQUET));

    public static final Block GREEN_LINOLEUM = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.CHERRY_WOOD).strength(2, 3f).mapColor(MapColor.TERRACOTTA_GREEN));
    public static final StairsBlock GREEN_LINOLEUM_STAIRS = new StairsBlock(GREEN_LINOLEUM.getDefaultState(), FabricBlockSettings.copy(GREEN_LINOLEUM));
    public static final SlabBlock GREEN_LINOLEUM_SLAB = new SlabBlock(FabricBlockSettings.copy(GREEN_LINOLEUM));
    public static final Block BLUE_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.TERRACOTTA_BLUE));
    public static final StairsBlock BLUE_LINOLEUM_STAIRS = new StairsBlock(BLUE_LINOLEUM.getDefaultState(), FabricBlockSettings.copy(BLUE_LINOLEUM));
    public static final SlabBlock BLUE_LINOLEUM_SLAB = new SlabBlock(FabricBlockSettings.copy(BLUE_LINOLEUM));
    public static final Block RED_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.TERRACOTTA_RED));
    public static final StairsBlock RED_LINOLEUM_STAIRS = new StairsBlock(RED_LINOLEUM.getDefaultState(), FabricBlockSettings.copy(RED_LINOLEUM));
    public static final SlabBlock RED_LINOLEUM_SLAB = new SlabBlock(FabricBlockSettings.copy(RED_LINOLEUM));
    public static final Block GRAY_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.TERRACOTTA_GRAY));
    public static final StairsBlock GRAY_LINOLEUM_STAIRS = new StairsBlock(GRAY_LINOLEUM.getDefaultState(), FabricBlockSettings.copy(GRAY_LINOLEUM));
    public static final SlabBlock GRAY_LINOLEUM_SLAB = new SlabBlock(FabricBlockSettings.copy(GRAY_LINOLEUM));
    public static final Block ORANGE_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.TERRACOTTA_ORANGE));
    public static final StairsBlock ORANGE_LINOLEUM_STAIRS = new StairsBlock(ORANGE_LINOLEUM.getDefaultState(), FabricBlockSettings.copy(ORANGE_LINOLEUM));
    public static final SlabBlock ORANGE_LINOLEUM_SLAB = new SlabBlock(FabricBlockSettings.copy(ORANGE_LINOLEUM));
    public static final Block BROWN_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.TERRACOTTA_BROWN));
    public static final StairsBlock BROWN_LINOLEUM_STAIRS = new StairsBlock(BROWN_LINOLEUM.getDefaultState(), FabricBlockSettings.copy(BROWN_LINOLEUM));
    public static final SlabBlock BROWN_LINOLEUM_SLAB = new SlabBlock(FabricBlockSettings.copy(BROWN_LINOLEUM));
    public static final Block CYAN_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.CYAN));
    public static final StairsBlock CYAN_LINOLEUM_STAIRS = new StairsBlock(CYAN_LINOLEUM.getDefaultState(), FabricBlockSettings.copy(CYAN_LINOLEUM));
    public static final SlabBlock CYAN_LINOLEUM_SLAB = new SlabBlock(FabricBlockSettings.copy(CYAN_LINOLEUM));
    public static final Block CROSS_ORANGE_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.ORANGE));
    public static final Block CROSS_BROWN_LINOLEUM = new Block(FabricBlockSettings.copy(GREEN_LINOLEUM).mapColor(MapColor.BROWN));

    public static final DoorBlock CHISELED_MANGROVE_DOOR = new DoorBlock(FabricBlockSettings.copy(Blocks.MANGROVE_DOOR), BlockSetType.MANGROVE);
    public static final DoorBlock CHISELED_OAK_DOOR = new DoorBlock(FabricBlockSettings.copy(Blocks.OAK_DOOR), BlockSetType.OAK);
    public static final DoorBlock CHISELED_SPRUCE_DOOR = new DoorBlock(FabricBlockSettings.copy(Blocks.SPRUCE_DOOR), BlockSetType.SPRUCE);
    public static final DoorBlock CHISELED_BIRCH_DOOR = new DoorBlock(FabricBlockSettings.copy(Blocks.BIRCH_DOOR), BlockSetType.BIRCH);

    public static final Block NII_FLOOR = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.POLISHED_DEEPSLATE).strength(1.5f, 6f).requiresTool().mapColor(MapColor.GRAY));
    public static final StairsBlock NII_FLOOR_STAIRS = new StairsBlock(NII_FLOOR.getDefaultState(), FabricBlockSettings.copy(NII_FLOOR));
    public static final SlabBlock NII_FLOOR_SLAB = new SlabBlock(FabricBlockSettings.copy(NII_FLOOR));

    // Industrial ==========
    public static final Block INDUSTRIAL_WARNING = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.METAL).hardness(4f).resistance(6f).requiresTool().mapColor(MapColor.BLACK));
    public static final Block RED_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.RED));
    public static final Block ORANGE_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.ORANGE));
    public static final Block YELLOW_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.YELLOW));
    public static final Block CYAN_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.CYAN));
    public static final Block LIGHT_BLUE_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.LIGHT_BLUE));
    public static final Block BLUE_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.BLUE));
    public static final Block LIME_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.LIME));
    public static final Block GREEN_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.GREEN));
    public static final Block GRAY_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.GRAY));
    public static final Block PURPLE_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.PURPLE));
    public static final Block MAGENTA_WARNING = new Block(FabricBlockSettings.copy(INDUSTRIAL_WARNING).mapColor(MapColor.MAGENTA));

    public static final Block METAL_PLATING = new Block(FabricBlockSettings.create().sounds(BlockSoundGroup.NETHERITE).hardness(5f).requiresTool().mapColor(MapColor.IRON_GRAY));
    public static final StairsBlock METAL_PLATING_STAIRS = new StairsBlock(METAL_PLATING.getDefaultState(), FabricBlockSettings.copy(METAL_PLATING));
    public static final SlabBlock METAL_PLATING_SLAB = new SlabBlock(FabricBlockSettings.copy(METAL_PLATING));
    public static final BarrelBlock CRATE = new BarrelBlock(FabricBlockSettings.create().sounds(BlockSoundGroup.CHISELED_BOOKSHELF).nonOpaque().mapColor(MapColor.OAK_TAN).hardness(1.8f));
    public static final WallBlock CONCRETE_WALL = new WallBlock(FabricBlockSettings.create().sounds(BlockSoundGroup.STONE).mapColor(MapColor.STONE_GRAY));

    // WALLPAPER BLOCKS ==========
    public static final Block GREEN_WALLPAPER = new Block(FabricBlockSettings.create().sounds(NSE_Sounds.WALLPAPER_BLOCK_SOUNDS).nonOpaque().mapColor(MapColor.DARK_GREEN).hardness(10f));
    public static final Block BROWN_WALLPAPER = new Block(FabricBlockSettings.copy(GREEN_WALLPAPER).mapColor(MapColor.BROWN));
    public static final Block BEIGE_WALLPAPER = new Block(FabricBlockSettings.copy(GREEN_WALLPAPER).mapColor(MapColor.DIRT_BROWN));

    // MEAT (cursed...) ==========
    public static final Block MEAT = new Block(FabricBlockSettings.create().velocityMultiplier(0.8f).sounds(NSE_Sounds.MEAT_SOUNDS).nonOpaque().mapColor(MapColor.DARK_RED).hardness(8f));
    public static final Block MEAT_EYE = new Block(FabricBlockSettings.copy(MEAT));
    public static final Block MEAT_TEETH = new Block(FabricBlockSettings.copy(MEAT));
    public static final SnowBlock PURPLE_GOO = new SnowBlock(FabricBlockSettings.copy(MEAT).mapColor(MapColor.PURPLE).hardness(1.2f).nonOpaque());

    public static final HandrailBlock HANDRAIL = new HandrailBlock(FabricBlockSettings.create().sounds(BlockSoundGroup.COPPER).hardness(4f).nonOpaque());

    private static final ItemGroup NSE_BUILDING_TAB = FabricItemGroup.builder()
            .icon(() -> new ItemStack(CALCITE_TILES))
            .displayName(Text.translatable("itemGroup.new_soviet.building_blocks"))
            .build();

    public static void init() {
        Registry.register(Registries.ITEM_GROUP, new Identifier("new_soviet", "building_blocks"), NSE_BUILDING_TAB);
        registerBlock("sand_tiles", () -> SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("sand_tiles_stairs", () -> SAND_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("sand_tiles_slab", () -> SAND_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_sand_tiles", () -> CRACKED_SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_sand_tiles_stairs", () -> CRACKED_SAND_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_sand_tiles_slab", () -> CRACKED_SAND_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_sand_tiles", () -> MOSSY_SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_sand_tiles_stairs", () -> MOSSY_SAND_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_sand_tiles_slab", () -> MOSSY_SAND_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("small_sand_tiles", () -> SMALL_SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_sand_tiles", () -> SMALL_CRACKED_SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("herringbone_sand_tiles", () -> HERRINGBONE_SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("herringbone_sand_tiles_stairs", () -> HERRINGBONE_SAND_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_sand_tiles_slab", () -> HERRINGBONE_SAND_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_sand_tiles", () -> CROSS_SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("cross_sand_tiles_stairs", () -> CROSS_SAND_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_sand_tiles_slab", () -> CROSS_SAND_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("big_sand_tiles", () -> BIG_SAND_TILES, NSE_BUILDING_TAB);
        registerBlock("sand_bricks", () -> SAND_BRICKS, NSE_BUILDING_TAB);
        registerBlock("sand_bricks_stairs", () -> SAND_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("sand_bricks_slab", () -> SAND_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_sand_bricks", () -> CRACKED_SAND_BRICKS, NSE_BUILDING_TAB);
        registerBlock("cracked_sand_bricks_stairs", () -> CRACKED_SAND_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_sand_bricks_slab", () -> CRACKED_SAND_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_sand_bricks", () -> MOSSY_SAND_BRICKS, NSE_BUILDING_TAB);
        registerBlock("mossy_sand_bricks_stairs", () -> MOSSY_SAND_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_sand_bricks_slab", () -> MOSSY_SAND_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("big_sand_bricks", () -> BIG_SAND_BRICKS, NSE_BUILDING_TAB);
        registerBlock("big_sand_bricks_stairs", () -> BIG_SAND_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("big_sand_bricks_slab", () -> BIG_SAND_BRICKS_SLAB, NSE_BUILDING_TAB);

        registerBlock("brick_tiles", () -> BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("brick_tiles_stairs", () -> BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("brick_tiles_slab", () -> BRICK_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_brick_tiles", () -> CRACKED_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_brick_tiles_stairs", () -> CRACKED_BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_brick_tiles_slab", () -> CRACKED_BRICK_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_brick_tiles", () -> MOSSY_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_brick_tiles_stairs", () -> MOSSY_BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_brick_tiles_slab", () -> MOSSY_BRICK_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("dirty_brick_tiles", () -> DIRTY_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("dirty_brick_tiles_stairs", () -> DIRTY_BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("dirty_brick_tiles_slab", () -> DIRTY_BRICK_TILES_SLAB, NSE_BUILDING_TAB);

        registerBlock("dark_brick_tiles", () -> DARK_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("dark_brick_tiles_stairs", () -> DARK_BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("dark_brick_tiles_slab", () -> DARK_BRICK_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_dark_brick_tiles", () -> CRACKED_DARK_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_dark_brick_tiles_stairs", () -> CRACKED_DARK_BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_dark_brick_tiles_slab", () -> CRACKED_DARK_BRICK_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_dark_brick_tiles", () -> MOSSY_DARK_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_dark_brick_tiles_stairs", () -> MOSSY_DARK_BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_dark_brick_tiles_slab", () -> MOSSY_DARK_BRICK_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("dirty_dark_brick_tiles", () -> DIRTY_DARK_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("dirty_dark_brick_tiles_stairs", () -> DIRTY_DARK_BRICK_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("dirty_dark_brick_tiles_slab", () -> DIRTY_DARK_BRICK_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("glazed_brick_tiles", () -> GLAZED_BRICK_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_glazed_brick_tiles", () -> CRACKED_GLAZED_BRICK_TILES, NSE_BUILDING_TAB);

        registerBlock("red_bricks", () -> RED_BRICKS, NSE_BUILDING_TAB);
        registerBlock("red_bricks_stairs", () -> RED_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("red_bricks_slab", () -> RED_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_red_bricks", () -> CRACKED_RED_BRICKS, NSE_BUILDING_TAB);
        registerBlock("cracked_red_bricks_stairs", () -> CRACKED_RED_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_red_bricks_slab", () -> CRACKED_RED_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_red_bricks", () -> MOSSY_RED_BRICKS, NSE_BUILDING_TAB);
        registerBlock("mossy_red_bricks_stairs", () -> MOSSY_RED_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_red_bricks_slab", () -> MOSSY_RED_BRICKS_SLAB, NSE_BUILDING_TAB);

        registerBlock("teal_tiles", () -> TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("teal_tiles_stairs", () -> TEAL_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("teal_tiles_slab", () -> TEAL_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_teal_tiles", () -> CRACKED_TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_teal_tiles_stairs", () -> CRACKED_TEAL_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_teal_tiles_slab", () -> CRACKED_TEAL_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_teal_tiles", () -> MOSSY_TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_teal_tiles_stairs", () -> MOSSY_TEAL_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_teal_tiles_slab", () -> MOSSY_TEAL_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("small_teal_tiles", () -> SMALL_TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_teal_tiles", () -> SMALL_CRACKED_TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("glazed_teal_tiles", () -> GLAZED_TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_glazed_teal_tiles", () -> CRACKED_GLAZED_TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("variated_teal_tiles", () -> VARIATED_TEAL_TILES, NSE_BUILDING_TAB);
        registerBlock("variated_teal_tiles_stairs", () -> VARIATED_TEAL_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("variated_teal_tiles_slab", () -> VARIATED_TEAL_TILES_SLAB, NSE_BUILDING_TAB);

        registerBlock("big_green_tiles", () -> BIG_GREEN_TILES, NSE_BUILDING_TAB);
        registerBlock("big_green_tiles_cracked", () -> BIG_GREEN_TILES_CRACKED, NSE_BUILDING_TAB);
        registerBlock("green_bricks", () -> GREEN_BRICKS, NSE_BUILDING_TAB);
        registerBlock("green_bricks_stairs", () -> GREEN_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("green_bricks_slab", () -> GREEN_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_green_bricks", () -> CRACKED_GREEN_BRICKS, NSE_BUILDING_TAB);
        registerBlock("cracked_green_bricks_stairs", () -> CRACKED_GREEN_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_green_bricks_slab", () -> CRACKED_GREEN_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_green_bricks", () -> MOSSY_GREEN_BRICKS, NSE_BUILDING_TAB);
        registerBlock("mossy_green_bricks_stairs", () -> MOSSY_GREEN_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_green_bricks_slab", () -> MOSSY_GREEN_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("green_bricks_2", () -> GREEN_BRICKS_2, NSE_BUILDING_TAB);
        registerBlock("green_bricks_2_stairs", () -> GREEN_BRICKS_2_STAIRS, NSE_BUILDING_TAB);
        registerBlock("green_bricks_2_slab", () -> GREEN_BRICKS_2_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_green_bricks_2", () -> CRACKED_GREEN_BRICKS_2, NSE_BUILDING_TAB);
        registerBlock("cracked_green_bricks_2_stairs", () -> CRACKED_GREEN_BRICKS_2_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_green_bricks_2_slab", () -> CRACKED_GREEN_BRICKS_2_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_green_bricks_2", () -> MOSSY_GREEN_BRICKS_2, NSE_BUILDING_TAB);
        registerBlock("mossy_green_bricks_2_stairs", () -> MOSSY_GREEN_BRICKS_2_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_green_bricks_2_slab", () -> MOSSY_GREEN_BRICKS_2_SLAB, NSE_BUILDING_TAB);

        registerBlock("aquamarine_tiles", () -> AQUAMARINE_TILES, NSE_BUILDING_TAB);
        registerBlock("aquamarine_tiles_stairs", () -> AQUAMARINE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("aquamarine_tiles_slab", () -> AQUAMARINE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_aquamarine_tiles", () -> CRACKED_AQUAMARINE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_aquamarine_tiles_stairs", () -> CRACKED_AQUAMARINE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_aquamarine_tiles_slab", () -> CRACKED_AQUAMARINE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_aquamarine_tiles", () -> MOSSY_AQUAMARINE_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_aquamarine_tiles_stairs", () -> MOSSY_AQUAMARINE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_aquamarine_tiles_slab", () -> MOSSY_AQUAMARINE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("dirty_aquamarine_tiles", () -> DIRTY_AQUAMARINE_TILES, NSE_BUILDING_TAB);
        registerBlock("dirty_aquamarine_tiles_stairs", () -> DIRTY_AQUAMARINE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("dirty_aquamarine_tiles_slab", () -> DIRTY_AQUAMARINE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("small_aquamarine_tiles", () -> SMALL_AQUAMARINE_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_aquamarine_tiles", () -> SMALL_CRACKED_AQUAMARINE_TILES, NSE_BUILDING_TAB);
        registerBlock("glazed_aquamarine_tiles", () -> GLAZED_AQUAMARINE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_glazed_aquamarine_tiles", () -> CRACKED_GLAZED_AQUAMARINE_TILES, NSE_BUILDING_TAB);

        registerBlock("small_diorite_tiles", () -> SMALL_DIORITE_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_diorite_tiles", () -> SMALL_CRACKED_DIORITE_TILES, NSE_BUILDING_TAB);
        registerBlock("big_diorite_tiles", () -> BIG_DIORITE_TILES, NSE_BUILDING_TAB);
        registerBlock("diorite_bricks", () -> DIORITE_BRICKS, NSE_BUILDING_TAB);
        registerBlock("diorite_bricks_stairs", () -> DIORITE_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("diorite_bricks_slab", () -> DIORITE_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_diorite_bricks", () -> CRACKED_DIORITE_BRICKS, NSE_BUILDING_TAB);
        registerBlock("cracked_diorite_bricks_stairs", () -> CRACKED_DIORITE_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_diorite_bricks_slab", () -> CRACKED_DIORITE_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_diorite_bricks", () -> MOSSY_DIORITE_BRICKS, NSE_BUILDING_TAB);
        registerBlock("mossy_diorite_bricks_stairs", () -> MOSSY_DIORITE_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_diorite_bricks_slab", () -> MOSSY_DIORITE_BRICKS_SLAB, NSE_BUILDING_TAB);

        registerBlock("calcite_tiles", () -> CALCITE_TILES, NSE_BUILDING_TAB);
        registerBlock("calcite_tiles_stairs", () -> CALCITE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("calcite_tiles_slab", () -> CALCITE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_calcite_tiles", () -> CRACKED_CALCITE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_calcite_tiles_stairs", () -> CRACKED_CALCITE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_calcite_tiles_slab", () -> CRACKED_CALCITE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_calcite_tiles", () -> MOSSY_CALCITE_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_calcite_tiles_stairs", () -> MOSSY_CALCITE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_calcite_tiles_slab", () -> MOSSY_CALCITE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("diagonal_calcite_tiles", () -> DIAGONAL_CALCITE_TILES, NSE_BUILDING_TAB);

        registerBlock("nii_wall_1", () -> NII_WALL_1, NSE_BUILDING_TAB);
        registerBlock("cracked_nii_wall_1", () -> CRACKED_NII_WALL_1, NSE_BUILDING_TAB);
        registerBlock("nii_wall_2", () -> NII_WALL_2, NSE_BUILDING_TAB);
        registerBlock("nii_wall_3", () -> NII_WALL_3, NSE_BUILDING_TAB);

        registerBlock("dripstone_tiles", () -> DRIPSTONE_TILES, NSE_BUILDING_TAB);
        registerBlock("dripstone_tiles_stairs", () -> DRIPSTONE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("dripstone_tiles_slab", () -> DRIPSTONE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_dripstone_tiles", () -> CRACKED_DRIPSTONE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_dripstone_tiles_stairs", () -> CRACKED_DRIPSTONE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_dripstone_tiles_slab", () -> CRACKED_DRIPSTONE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_dripstone_tiles", () -> MOSSY_DRIPSTONE_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_dripstone_tiles_stairs", () -> MOSSY_DRIPSTONE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_dripstone_tiles_slab", () -> MOSSY_DRIPSTONE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("dripstone_bricks", () -> DRIPSTONE_BRICKS, NSE_BUILDING_TAB);

        registerBlock("deepslate_tiles", () -> DEEPSLATE_TILES, NSE_BUILDING_TAB);
        registerBlock("deepslate_tiles_stairs", () -> DEEPSLATE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("deepslate_tiles_slab", () -> DEEPSLATE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_deepslate_tiles", () -> CRACKED_DEEPSLATE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_deepslate_tiles_stairs", () -> CRACKED_DEEPSLATE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_deepslate_tiles_slab", () -> CRACKED_DEEPSLATE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_deepslate_tiles", () -> MOSSY_DEEPSLATE_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_deepslate_tiles_stairs", () -> MOSSY_DEEPSLATE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_deepslate_tiles_slab", () -> MOSSY_DEEPSLATE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("small_deepslate_tiles", () -> SMALL_DEEPSLATE_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_deepslate_tiles", () -> SMALL_CRACKED_DEEPSLATE_TILES, NSE_BUILDING_TAB);
        registerBlock("diagonal_deepslate_tiles", () -> DIAGONAL_DEEPSLATE_TILES, NSE_BUILDING_TAB);

        registerBlock("light_blue_tiles", () -> LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("light_blue_tiles_stairs", () -> LIGHT_BLUE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("light_blue_tiles_slab", () -> LIGHT_BLUE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_light_blue_tiles", () -> CRACKED_LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_light_blue_tiles_stairs", () -> CRACKED_LIGHT_BLUE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_light_blue_tiles_slab", () -> CRACKED_LIGHT_BLUE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_light_blue_tiles", () -> MOSSY_LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_light_blue_tiles_stairs", () -> MOSSY_LIGHT_BLUE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_light_blue_tiles_slab", () -> MOSSY_LIGHT_BLUE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("variated_light_blue_tiles", () -> VARIATED_LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("variated_light_blue_tiles_stairs", () -> VARIATED_LIGHT_BLUE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("variated_light_blue_tiles_slab", () -> VARIATED_LIGHT_BLUE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("small_light_blue_tiles", () -> SMALL_LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_light_blue_tiles", () -> SMALL_CRACKED_LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("glazed_light_blue_tiles", () -> GLAZED_LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_glazed_light_blue_tiles", () -> CRACKED_GLAZED_LIGHT_BLUE_TILES, NSE_BUILDING_TAB);
        registerBlock("light_blue_bricks", () -> LIGHT_BLUE_BRICKS, NSE_BUILDING_TAB);
        registerBlock("light_blue_bricks_stairs", () -> LIGHT_BLUE_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("light_blue_bricks_slab", () -> LIGHT_BLUE_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_light_blue_bricks", () -> CRACKED_LIGHT_BLUE_BRICKS, NSE_BUILDING_TAB);
        registerBlock("cracked_light_blue_bricks_stairs", () -> CRACKED_LIGHT_BLUE_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_light_blue_bricks_slab", () -> CRACKED_LIGHT_BLUE_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_light_blue_bricks", () -> MOSSY_LIGHT_BLUE_BRICKS, NSE_BUILDING_TAB);
        registerBlock("mossy_light_blue_bricks_stairs", () -> MOSSY_LIGHT_BLUE_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_light_blue_bricks_slab", () -> MOSSY_LIGHT_BLUE_BRICKS_SLAB, NSE_BUILDING_TAB);

        registerBlock("big_granite_tiles", () -> BIG_GRANITE_TILES, NSE_BUILDING_TAB);
        registerBlock("small_granite_tiles", () -> SMALL_GRANITE_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_granite_tiles", () -> SMALL_CRACKED_GRANITE_TILES, NSE_BUILDING_TAB);

        registerBlock("green_white_tiles", () -> GREEN_WHITE_TILES, NSE_BUILDING_TAB);
        registerBlock("green_white_tiles_stairs", () -> GREEN_WHITE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("green_white_tiles_slab", () -> GREEN_WHITE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_green_white_tiles", () -> CRACKED_GREEN_WHITE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_green_white_tiles_stairs", () -> CRACKED_GREEN_WHITE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_green_white_tiles_slab", () -> CRACKED_GREEN_WHITE_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_green_white_tiles", () -> MOSSY_GREEN_WHITE_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_green_white_tiles_stairs", () -> MOSSY_GREEN_WHITE_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_green_white_tiles_slab", () -> MOSSY_GREEN_WHITE_TILES_SLAB, NSE_BUILDING_TAB);

        registerBlock("tuff_tiles", () -> TUFF_TILES, NSE_BUILDING_TAB);
        registerBlock("tuff_tiles_stairs", () -> TUFF_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("tuff_tiles_slab", () -> TUFF_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_tuff_tiles", () -> CRACKED_TUFF_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_tuff_tiles_stairs", () -> CRACKED_TUFF_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_tuff_tiles_slab", () -> CRACKED_TUFF_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_tuff_tiles", () -> MOSSY_TUFF_TILES, NSE_BUILDING_TAB);
        registerBlock("mossy_tuff_tiles_stairs", () -> MOSSY_TUFF_TILES_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_tuff_tiles_slab", () -> MOSSY_TUFF_TILES_SLAB, NSE_BUILDING_TAB);
        registerBlock("big_tuff_tiles", () -> BIG_TUFF_TILES, NSE_BUILDING_TAB);
        registerBlock("tuff_bricks", () -> TUFF_BRICKS, NSE_BUILDING_TAB);
        registerBlock("tuff_bricks_stairs", () -> TUFF_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("tuff_bricks_slab", () -> TUFF_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_tuff_bricks", () -> CRACKED_TUFF_BRICKS, NSE_BUILDING_TAB);
        registerBlock("cracked_tuff_bricks_stairs", () -> CRACKED_TUFF_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_tuff_bricks_slab", () -> CRACKED_TUFF_BRICKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("mossy_tuff_bricks", () -> MOSSY_TUFF_BRICKS, NSE_BUILDING_TAB);
        registerBlock("mossy_tuff_bricks_stairs", () -> MOSSY_TUFF_BRICKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("mossy_tuff_bricks_slab", () -> MOSSY_TUFF_BRICKS_SLAB, NSE_BUILDING_TAB);

        registerBlock("small_white_tiles", () -> SMALL_WHITE_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_white_tiles", () -> SMALL_CRACKED_WHITE_TILES, NSE_BUILDING_TAB);
        registerBlock("glazed_white_tiles", () -> GLAZED_WHITE_TILES, NSE_BUILDING_TAB);
        registerBlock("cracked_glazed_white_tiles", () -> CRACKED_GLAZED_WHITE_TILES, NSE_BUILDING_TAB);

        registerBlock("small_yellow_tiles", () -> SMALL_YELLOW_TILES, NSE_BUILDING_TAB);
        registerBlock("small_cracked_yellow_tiles", () -> SMALL_CRACKED_YELLOW_TILES, NSE_BUILDING_TAB);

        registerBlock("whitewash", () -> WHITEWASH, NSE_BUILDING_TAB);
        registerBlock("cracked_whitewash", () -> CRACKED_WHITEWASH, NSE_BUILDING_TAB);
        registerBlock("very_cracked_whitewash", () -> VERY_CRACKED_WHITEWASH, NSE_BUILDING_TAB);

        registerBlock("white_concrete", () -> WHITE_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("white_concrete_stairs", () -> WHITE_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("white_concrete_slab", () -> WHITE_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_white_concrete", () -> CRACKED_WHITE_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("cracked_white_concrete_stairs", () -> CRACKED_WHITE_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_white_concrete_slab", () -> CRACKED_WHITE_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("white_concrete_with_bars", () -> WHITE_CONCRETE_WITH_BARS, NSE_BUILDING_TAB);
        registerBlock("beige_concrete", () -> BEIGE_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("beige_concrete_stairs", () -> BEIGE_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("beige_concrete_slab", () -> BEIGE_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_beige_concrete", () -> CRACKED_BEIGE_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("cracked_beige_concrete_stairs", () -> CRACKED_BEIGE_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_beige_concrete_slab", () -> CRACKED_BEIGE_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("beige_concrete_with_bars", () -> BEIGE_CONCRETE_WITH_BARS, NSE_BUILDING_TAB);
        registerBlock("blue_concrete", () -> BLUE_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("blue_concrete_stairs", () -> BLUE_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("blue_concrete_slab", () -> BLUE_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_blue_concrete", () -> CRACKED_BLUE_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("cracked_blue_concrete_stairs", () -> CRACKED_BLUE_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_blue_concrete_slab", () -> CRACKED_BLUE_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("blue_concrete_with_bars", () -> BLUE_CONCRETE_WITH_BARS, NSE_BUILDING_TAB);
        registerBlock("red_concrete", () -> RED_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("red_concrete_stairs", () -> RED_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("red_concrete_slab", () -> RED_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_red_concrete", () -> CRACKED_RED_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("cracked_red_concrete_stairs", () -> CRACKED_RED_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_red_concrete_slab", () -> CRACKED_RED_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("red_concrete_with_bars", () -> RED_CONCRETE_WITH_BARS, NSE_BUILDING_TAB);
        registerBlock("yellow_concrete", () -> YELLOW_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("yellow_concrete_stairs", () -> YELLOW_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("yellow_concrete_slab", () -> YELLOW_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_yellow_concrete", () -> CRACKED_YELLOW_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("cracked_yellow_concrete_stairs", () -> CRACKED_YELLOW_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_yellow_concrete_slab", () -> CRACKED_YELLOW_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("yellow_concrete_with_bars", () -> YELLOW_CONCRETE_WITH_BARS, NSE_BUILDING_TAB);
        registerBlock("green_concrete", () -> GREEN_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("green_concrete_stairs", () -> GREEN_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("green_concrete_slab", () -> GREEN_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("cracked_green_concrete", () -> CRACKED_GREEN_CONCRETE, NSE_BUILDING_TAB);
        registerBlock("cracked_green_concrete_stairs", () -> CRACKED_GREEN_CONCRETE_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cracked_green_concrete_slab", () -> CRACKED_GREEN_CONCRETE_SLAB, NSE_BUILDING_TAB);
        registerBlock("green_concrete_with_bars", () -> GREEN_CONCRETE_WITH_BARS, NSE_BUILDING_TAB);

        registerBlock("nii_floor", () -> NII_FLOOR, NSE_BUILDING_TAB);
        registerBlock("nii_floor_stairs", () -> NII_FLOOR_STAIRS, NSE_BUILDING_TAB);
        registerBlock("nii_floor_slab", () -> NII_FLOOR_SLAB, NSE_BUILDING_TAB);

        registerBlock("herringbone_acacia_planks", () -> HERRINGBONE_ACACIA_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_acacia_planks_stairs", () -> HERRINGBONE_ACACIA_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_acacia_planks_slab", () -> HERRINGBONE_ACACIA_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_acacia_planks", () -> CROSS_ACACIA_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_acacia_planks_stairs", () -> CROSS_ACACIA_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_acacia_planks_slab", () -> CROSS_ACACIA_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("herringbone_oak_planks", () -> HERRINGBONE_OAK_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_oak_planks_stairs", () -> HERRINGBONE_OAK_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_oak_planks_slab", () -> HERRINGBONE_OAK_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_oak_planks", () -> CROSS_OAK_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_oak_planks_stairs", () -> CROSS_OAK_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_oak_planks_slab", () -> CROSS_OAK_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("herringbone_birch_planks", () -> HERRINGBONE_BIRCH_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_birch_planks_stairs", () -> HERRINGBONE_BIRCH_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_birch_planks_slab", () -> HERRINGBONE_BIRCH_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_birch_planks", () -> CROSS_BIRCH_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_birch_planks_stairs", () -> CROSS_BIRCH_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_birch_planks_slab", () -> CROSS_BIRCH_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("herringbone_crimson_planks", () -> HERRINGBONE_CRIMSON_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_crimson_planks_stairs", () -> HERRINGBONE_CRIMSON_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_crimson_planks_slab", () -> HERRINGBONE_CRIMSON_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_crimson_planks", () -> CROSS_CRIMSON_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_crimson_planks_stairs", () -> CROSS_CRIMSON_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_crimson_planks_slab", () -> CROSS_CRIMSON_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("herringbone_dark_oak_planks", () -> HERRINGBONE_DARK_OAK_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_dark_oak_planks_stairs", () -> HERRINGBONE_DARK_OAK_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_dark_oak_planks_slab", () -> HERRINGBONE_DARK_OAK_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_dark_oak_planks", () -> CROSS_DARK_OAK_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_dark_oak_planks_stairs", () -> CROSS_DARK_OAK_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_dark_oak_planks_slab", () -> CROSS_DARK_OAK_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("herringbone_jungle_planks", () -> HERRINGBONE_JUNGLE_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_jungle_planks_stairs", () -> HERRINGBONE_JUNGLE_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_jungle_planks_slab", () -> HERRINGBONE_JUNGLE_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_jungle_planks", () -> CROSS_JUNGLE_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_jungle_planks_stairs", () -> CROSS_JUNGLE_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_jungle_planks_slab", () -> CROSS_JUNGLE_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("herringbone_mangrove_planks", () -> HERRINGBONE_MANGROVE_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_mangrove_planks_stairs", () -> HERRINGBONE_MANGROVE_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_mangrove_planks_slab", () -> HERRINGBONE_MANGROVE_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_mangrove_planks", () -> CROSS_MANGROVE_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_mangrove_planks_stairs", () -> CROSS_MANGROVE_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_mangrove_planks_slab", () -> CROSS_MANGROVE_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("herringbone_spruce_planks", () -> HERRINGBONE_SPRUCE_PLANKS, NSE_BUILDING_TAB);
        registerBlock("herringbone_spruce_planks_stairs", () -> HERRINGBONE_SPRUCE_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_spruce_planks_slab", () -> HERRINGBONE_SPRUCE_PLANKS_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_spruce_planks", () -> CROSS_SPRUCE_PLANKS, NSE_BUILDING_TAB);
        registerBlock("cross_spruce_planks_stairs", () -> CROSS_SPRUCE_PLANKS_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cross_spruce_planks_slab", () -> CROSS_SPRUCE_PLANKS_SLAB, NSE_BUILDING_TAB);
        // TODO: Cherry!!!

        registerBlock("herringbone_parquet", () -> HERRINGBONE_PARQUET, NSE_BUILDING_TAB);
        registerBlock("herringbone_parquet_stairs", () -> HERRINGBONE_PARQUET_STAIRS, NSE_BUILDING_TAB);
        registerBlock("herringbone_parquet_slab", () -> HERRINGBONE_PARQUET_SLAB, NSE_BUILDING_TAB);
        registerBlock("straight_parquet", () -> STRAIGHT_PARQUET, NSE_BUILDING_TAB);
        registerBlock("straight_parquet_stairs", () -> STRAIGHT_PARQUET_STAIRS, NSE_BUILDING_TAB);
        registerBlock("straight_parquet_slab", () -> STRAIGHT_PARQUET_SLAB, NSE_BUILDING_TAB);
        registerBlock("separated_parquet", () -> SEPARATED_PARQUET, NSE_BUILDING_TAB);
        registerBlock("separated_parquet_stairs", () -> SEPARATED_PARQUET_STAIRS, NSE_BUILDING_TAB);
        registerBlock("separated_parquet_slab", () -> SEPARATED_PARQUET_SLAB, NSE_BUILDING_TAB);

        registerBlock("green_linoleum", () -> GREEN_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("green_linoleum_stairs", () -> GREEN_LINOLEUM_STAIRS, NSE_BUILDING_TAB);
        registerBlock("green_linoleum_slab", () -> GREEN_LINOLEUM_SLAB, NSE_BUILDING_TAB);
        registerBlock("blue_linoleum", () -> BLUE_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("blue_linoleum_stairs", () -> BLUE_LINOLEUM_STAIRS, NSE_BUILDING_TAB);
        registerBlock("blue_linoleum_slab", () -> BLUE_LINOLEUM_SLAB, NSE_BUILDING_TAB);
        registerBlock("red_linoleum", () -> RED_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("red_linoleum_stairs", () -> RED_LINOLEUM_STAIRS, NSE_BUILDING_TAB);
        registerBlock("red_linoleum_slab", () -> RED_LINOLEUM_SLAB, NSE_BUILDING_TAB);
        registerBlock("gray_linoleum", () -> GRAY_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("gray_linoleum_stairs", () -> GRAY_LINOLEUM_STAIRS, NSE_BUILDING_TAB);
        registerBlock("gray_linoleum_slab", () -> GRAY_LINOLEUM_SLAB, NSE_BUILDING_TAB);
        registerBlock("orange_linoleum", () -> ORANGE_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("orange_linoleum_stairs", () -> ORANGE_LINOLEUM_STAIRS, NSE_BUILDING_TAB);
        registerBlock("orange_linoleum_slab", () -> ORANGE_LINOLEUM_SLAB, NSE_BUILDING_TAB);
        registerBlock("brown_linoleum", () -> BROWN_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("brown_linoleum_stairs", () -> BROWN_LINOLEUM_STAIRS, NSE_BUILDING_TAB);
        registerBlock("brown_linoleum_slab", () -> BROWN_LINOLEUM_SLAB, NSE_BUILDING_TAB);
        registerBlock("cyan_linoleum", () -> CYAN_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("cyan_linoleum_stairs", () -> CYAN_LINOLEUM_STAIRS, NSE_BUILDING_TAB);
        registerBlock("cyan_linoleum_slab", () -> CYAN_LINOLEUM_SLAB, NSE_BUILDING_TAB);
        registerBlock("cross_orange_linoleum", () -> CROSS_ORANGE_LINOLEUM, NSE_BUILDING_TAB);
        registerBlock("cross_brown_linoleum", () -> CROSS_BROWN_LINOLEUM, NSE_BUILDING_TAB);

        registerBlock("chiseled_mangrove_door", () -> CHISELED_MANGROVE_DOOR, NSE_BUILDING_TAB);
        registerBlock("chiseled_oak_door", () -> CHISELED_OAK_DOOR, NSE_BUILDING_TAB);
        registerBlock("chiseled_spruce_door", () -> CHISELED_SPRUCE_DOOR, NSE_BUILDING_TAB);
        registerBlock("chiseled_birch_door", () -> CHISELED_BIRCH_DOOR, NSE_BUILDING_TAB);

        registerBlock("industrial_warning", () -> INDUSTRIAL_WARNING, NSE_BUILDING_TAB);
        registerBlock("gray_warning", () -> GRAY_WARNING, NSE_BUILDING_TAB);
        registerBlock("red_warning", () -> RED_WARNING, NSE_BUILDING_TAB);
        registerBlock("orange_warning", () -> ORANGE_WARNING, NSE_BUILDING_TAB);
        registerBlock("yellow_warning", () -> YELLOW_WARNING, NSE_BUILDING_TAB);
        registerBlock("lime_warning", () -> LIME_WARNING, NSE_BUILDING_TAB);
        registerBlock("green_warning", () -> GREEN_WARNING, NSE_BUILDING_TAB);
        registerBlock("cyan_warning", () -> CYAN_WARNING, NSE_BUILDING_TAB);
        registerBlock("light_blue_warning", () -> LIGHT_BLUE_WARNING, NSE_BUILDING_TAB);
        registerBlock("blue_warning", () -> BLUE_WARNING, NSE_BUILDING_TAB);
        registerBlock("purple_warning", () -> PURPLE_WARNING, NSE_BUILDING_TAB);
        registerBlock("magenta_warning", () -> MAGENTA_WARNING, NSE_BUILDING_TAB);

        registerBlock("metal_plating", () -> METAL_PLATING, NSE_BUILDING_TAB);
        registerBlock("metal_plating_stairs", () -> METAL_PLATING_STAIRS, NSE_BUILDING_TAB);
        registerBlock("metal_plating_slab", () -> METAL_PLATING_SLAB, NSE_BUILDING_TAB);

        registerBlock("crate", () -> CRATE, NSE_BUILDING_TAB);
        registerBlock("concrete_wall", () -> CONCRETE_WALL, NSE_BUILDING_TAB);  // FIXME: 29.08.2023 This wall's top texture is a bit broken

        registerBlock("green_wallpaper", () -> GREEN_WALLPAPER, NSE_BUILDING_TAB);
        registerBlock("brown_wallpaper", () -> BROWN_WALLPAPER, NSE_BUILDING_TAB);
        registerBlock("beige_wallpaper", () -> BEIGE_WALLPAPER, NSE_BUILDING_TAB);

        registerBlock("meat", () -> MEAT, NSE_BUILDING_TAB);
        registerBlock("meat_eye", () -> MEAT_EYE, NSE_BUILDING_TAB);
        registerBlock("meat_teeth", () -> MEAT_TEETH, NSE_BUILDING_TAB);
        registerBlock("purple_goo", () -> PURPLE_GOO, NSE_BUILDING_TAB);
        registerBlock("handrail", () -> HANDRAIL, NSE_BUILDING_TAB);

        flammableInit();
    }

    public static void flammableInit() {
        // Reminder: Crimson doesn't burn!
        FlammableBlockRegistry flammableBlockRegistry = FlammableBlockRegistry.getDefaultInstance();
        flammableBlockRegistry.add(HERRINGBONE_ACACIA_PLANKS, 20, 5);
        flammableBlockRegistry.add(CROSS_ACACIA_PLANKS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_OAK_PLANKS, 20, 5);
        flammableBlockRegistry.add(CROSS_OAK_PLANKS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_OAK_PLANKS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_BIRCH_PLANKS, 20, 5);
        flammableBlockRegistry.add(CROSS_BIRCH_PLANKS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_DARK_OAK_PLANKS, 20, 5);
        flammableBlockRegistry.add(CROSS_DARK_OAK_PLANKS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_JUNGLE_PLANKS, 20, 5);
        flammableBlockRegistry.add(CROSS_JUNGLE_PLANKS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_MANGROVE_PLANKS, 20, 5);
        flammableBlockRegistry.add(CROSS_MANGROVE_PLANKS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_SPRUCE_PLANKS, 20, 5);
        flammableBlockRegistry.add(CROSS_SPRUCE_PLANKS, 20, 5);

        flammableBlockRegistry.add(HERRINGBONE_PARQUET, 20, 5);
        flammableBlockRegistry.add(STRAIGHT_PARQUET, 20, 5);
        flammableBlockRegistry.add(SEPARATED_PARQUET, 20, 5);

        flammableBlockRegistry.add(GREEN_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(BLUE_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(RED_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(GRAY_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(ORANGE_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(BROWN_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(CYAN_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(CROSS_ORANGE_LINOLEUM, 20, 5);
        flammableBlockRegistry.add(CROSS_BROWN_LINOLEUM, 20, 5);

        flammableBlockRegistry.add(HERRINGBONE_ACACIA_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_ACACIA_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(CROSS_ACACIA_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(CROSS_ACACIA_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_OAK_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_OAK_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(CROSS_OAK_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(CROSS_OAK_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_BIRCH_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_BIRCH_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(CROSS_BIRCH_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(CROSS_BIRCH_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_DARK_OAK_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_DARK_OAK_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(CROSS_DARK_OAK_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(CROSS_DARK_OAK_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_JUNGLE_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_JUNGLE_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(CROSS_JUNGLE_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(CROSS_JUNGLE_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_MANGROVE_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_MANGROVE_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(CROSS_MANGROVE_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(CROSS_MANGROVE_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_SPRUCE_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_SPRUCE_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(CROSS_SPRUCE_PLANKS_STAIRS, 20, 5);
        flammableBlockRegistry.add(CROSS_SPRUCE_PLANKS_SLAB, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_PARQUET_STAIRS, 20, 5);
        flammableBlockRegistry.add(HERRINGBONE_PARQUET_SLAB, 20, 5);
        flammableBlockRegistry.add(STRAIGHT_PARQUET_STAIRS, 20, 5);
        flammableBlockRegistry.add(STRAIGHT_PARQUET_SLAB, 20, 5);
        flammableBlockRegistry.add(SEPARATED_PARQUET_STAIRS, 20, 5);
        flammableBlockRegistry.add(SEPARATED_PARQUET_SLAB, 20, 5);
        flammableBlockRegistry.add(GREEN_LINOLEUM_STAIRS, 20, 5);
        flammableBlockRegistry.add(GREEN_LINOLEUM_SLAB, 20, 5);
        flammableBlockRegistry.add(BLUE_LINOLEUM_STAIRS, 20, 5);
        flammableBlockRegistry.add(BLUE_LINOLEUM_SLAB, 20, 5);
        flammableBlockRegistry.add(RED_LINOLEUM_STAIRS, 20, 5);
        flammableBlockRegistry.add(RED_LINOLEUM_SLAB, 20, 5);
        flammableBlockRegistry.add(GRAY_LINOLEUM_STAIRS, 20, 5);
        flammableBlockRegistry.add(GRAY_LINOLEUM_SLAB, 20, 5);
        flammableBlockRegistry.add(ORANGE_LINOLEUM_STAIRS, 20, 5);
        flammableBlockRegistry.add(ORANGE_LINOLEUM_SLAB, 20, 5);
        flammableBlockRegistry.add(BROWN_LINOLEUM_STAIRS, 20, 5);
        flammableBlockRegistry.add(BROWN_LINOLEUM_SLAB, 20, 5);
        flammableBlockRegistry.add(CYAN_LINOLEUM_STAIRS, 20, 5);
        flammableBlockRegistry.add(CYAN_LINOLEUM_SLAB, 20, 5);
    }
}
